using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Xml;
using System.Xml.Xsl;
using System.IO;

public class ViewGuestbook : Page
{
	private void Page_Load(object sender, System.EventArgs e)
	{
	
		//Load the XML file
		XmlDocument doc = new XmlDocument( );
		doc.Load( Server.MapPath("guestbook.xml") );

		//Load the XSL file
		XslTransform xslt = new XslTransform();
		xslt.Load( Server.MapPath("guestbook.xsl") );
		
		string xmlQuery="//guestbook";
		XmlNodeList nodeList=doc.DocumentElement.SelectNodes(xmlQuery);

		// How many nodes do we have ?
		int numNodes;
		numNodes=nodeList.Count;
		MemoryStream ms=new MemoryStream();
		xslt.Transform( doc, null, ms);
		ms.Seek( 0, SeekOrigin.Begin );

		StreamReader sr = new StreamReader(ms);

		//Print out the result
		Response.Write(sr.ReadToEnd());
	}
}
